using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CMSMicroservice.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class u12 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "DeliveryDescription",
                schema: "CMS",
                table: "UserOrders",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "DeliveryStatus",
                schema: "CMS",
                table: "UserOrders",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "TrackingCode",
                schema: "CMS",
                table: "UserOrders",
                type: "nvarchar(max)",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DeliveryDescription",
                schema: "CMS",
                table: "UserOrders");

            migrationBuilder.DropColumn(
                name: "DeliveryStatus",
                schema: "CMS",
                table: "UserOrders");

            migrationBuilder.DropColumn(
                name: "TrackingCode",
                schema: "CMS",
                table: "UserOrders");
        }
    }
}
